Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Interface ExternalTextResource

All Superinterfaces:
  ResourcePrototype

    public interface ExternalTextResource

extends ResourcePrototype

Identical to `TextResource`, except the contents of the resource are not inlined into the compiled output. This is suitable for resources that are not required as part of program initialization.

Method Summary
`void` | `getText(ResourceCallback<TextResource> callback)`

Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype
`getName`

Method Detail

### getText

    void getText(ResourceCallback<TextResource> callback)
                 throws ResourceException

  Throws:
    `ResourceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD